@media (max-width: 1024px) {
  .calendar-grid {
    grid-template-columns: repeat(2, 1fr);
    /* 2 columns for tablets */
    gap: 20px;
    /* Adjust gap for tablets */
  }
}

@media (max-width: 768px) {
  main {
    width: 100%;
  }

  .navbar {
    flex-direction: column;
    align-items: center;
    padding: 0 15px;
  }

  .navbar .navbar-nav,
  .navbar ul.dropdown-menu {
    text-align: center;
  }

  .profile-image-floated {
    float: none;
    margin: 0 auto;
  }

  .navbar .logo {
    width: 40px;
    height: 40px;
  }

  .navbar-toggler {
    border: none !important;
  }

  body .navbar h1 {
    border-bottom: none !important;
  }

  .navbar .subtitle {
    display: none;
  }

  .filter-options {
    padding: 0 15px;
  }

  footer {
    padding: 0 10px;
  }

  footer .footer-menu {
    flex-wrap: nowrap;
    gap: 10px;
    margin: 0;
    padding: 0;
  }

  footer .footer-menu .nav-item {
    white-space: nowrap;
  }

  .calendar-grid {
    grid-template-columns: 1fr;
    /* 1 column for small screens */
    gap: 15px;
    /* Adjust gap for small screens */
    padding: 0 15px;
  }

  .calendar-grid.centered .month {
    grid-column: auto;
  }

  .filter-drop-downs,
  .filter-input {
    min-width: 80%;
  }

  .day {
    width: 50px;
    height: 50px;
    font-size: 1rem;
  }

  .event-day .badge {
    width: 25px;
    height: 25px;
    font-size: 1rem;
  }

  .month h2 {
    font-size: 1.2rem;
  }

  ul.dropdown-menu.show {
    background: none;
    border: none;
  }

  /* Dropdown and checkbox adjustments for mobile */
  .dropdown-buttons {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    gap: 5px;
  }

  .dropdown-buttons .row:first-child {
    display: flex;
    justify-content: center;
    gap: 10px;
    width: 100%;
    margin-top: 10px;
  }

  .dropdown-buttons .row.mt-2 {
    width: 100%;
    text-align: center;
    margin-top: 10px;
  }

  .view-toggle-buttons {
    margin-bottom: 10px;
    width: 100%;
    display: flex;
    gap: 10px;
    justify-content: center;
  }

  footer .container {
    justify-content: center;
  }

  .header-menu .nav-item {
    margin-bottom: 5px;
  }

  .page-content,
  .no-events-message {
    padding: 0 20px;
  }

  .select-wrapper {
    flex: 1 1 45%;
    min-width: 0;
  }

  .register-wrapper,
  .pending-wrapper,
  .login-wrapper {
    max-width: 90% !important;
  }
}

@media (max-width: 480px) {
  .navbar {
    padding: 0;
  }

  .navbar .navbar-brand {
    margin-right: 0;
  }

  .filter-options {
    margin-top: 10px;
    padding: 0;
  }

  .calendar-grid {
    gap: 10px;
    padding: 0;
  }

  .event-day .badge {
    width: 20px;
    height: 20px;
    font-size: 0.9rem;
  }

  .day {
    width: 40px;
    height: 40px;
  }

  .month h2 {
    font-size: 1rem;
  }

  .event-item {
    width: 100%;
  }
}